# Class: GraphicPolygon

## GraphicPolygon()

#### new GraphicPolygon()

Source:
  - GraphicPolygon.js, line 11

### Methods

#### (async, static) createObj() → {Promise.<GraphicPolygon>}

构造一个新的 GraphicPolygon 对象。

Source:
  - GraphicPolygon.js, line 33

##### Returns:

Type
  Promise.<GraphicPolygon>

#### (async, static) getArea() → {Promise.<*>}

获取面积

Source:
  - GraphicPolygon.js, line 49

##### Returns:

Type
  Promise.<*>

#### (async, static) getBorderlineColor() → {Promise.<*>}

获取点的位置

Source:
  - GraphicPolygon.js, line 120

##### Returns:

Type
  Promise.<*>

#### (async, static) getBorderlineWidth() → {Promise.<void>}

获取边界线的宽度

Source:
  - GraphicPolygon.js, line 106

##### Returns:

Type
  Promise.<void>

#### (async, static) getCirclesToList() → {Promise.<*>}

获取圈序列

Source:
  - GraphicPolygon.js, line 78

##### Returns:

Type
  Promise.<*>

#### (async, static) setBorderlineColor(color) → {Promise.<void>}

设置圆边界线的颜色

##### Parameters:

Name | Type | Description
--- | --- | ---
`color` |  | eg:'rgba(128, 128, 128, 0.5)'

Source:
  - GraphicPolygon.js, line 136

##### Returns:

Type
  Promise.<void>

#### (async, static) setBorderlineWidth(point) → {Promise.<void>}

设置点的位置

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` | Object |

Source:
  - GraphicPolygon.js, line 93

##### Returns:

Type
  Promise.<void>

#### (async, static) setPoints(pointArray, circlesArray) → {Promise.<void>}

设置一组坐标点

##### Parameters:

Name | Type | Description
--- | --- | ---
`pointArray` |  |
`circlesArray` |  |

Source:
  - GraphicPolygon.js, line 65

##### Returns:

Type
  Promise.<void>